# Some make rules to make output pretty....

# default ARFLAGS also has 'v', but we don't want it to be verbose.
ARFLAGS= -r

# make sure libs from /usr/local/lib are found
VPATH= /lib64 /usr/lib64 /usr/local/lib64 /lib /usr/lib /usr/local/lib

%.o : %.c
	@echo "COMPILE: $<"
	@$(CC) $(CFLAGS) -c $<

%: %.o
	@echo "   LINK: $@"
	@$(LINK.o) $^ $(LOADLIBES) $(LDLIBS) -o $@

(%): %
	@echo "ARCHIVE: $< in $@"
	@$(AR) $(ARFLAGS) $@ $<
